<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__white__list__retention__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_white_list_retention_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__white__list__retention__t_1ad98386c46603da35a587b5c8c8f2d985" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_white_list_retention_t::size</definition>
        <argsstring />
        <name>size</name>
        <briefdescription>
<para>Size of the White List array elements. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="858" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="858" />
      </memberdef>
      <memberdef id="structcy__stc__ble__white__list__retention__t_1a12a00df268bfbca36228f57c37384bd7" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__white__list__t">cy_stc_ble_white_list_t</ref> *</type>
        <definition>const cy_stc_ble_white_list_t* cy_stc_ble_white_list_retention_t::whiteList</definition>
        <argsstring />
        <name>whiteList</name>
        <briefdescription>
<para>Pointer to White List Array. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="861" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="861" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>White List retention structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1312">
        <label>cy_stc_ble_white_list_t</label>
        <link refid="structcy__stc__ble__white__list__t" />
      </node>
      <node id="1311">
        <label>cy_stc_ble_white_list_retention_t</label>
        <link refid="structcy__stc__ble__white__list__retention__t" />
        <childnode refid="1312" relation="usage">
          <edgelabel>whiteList</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="863" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="855" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="856" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__white__list__retention__t_1ad98386c46603da35a587b5c8c8f2d985" virt="non-virtual"><scope>cy_stc_ble_white_list_retention_t</scope><name>size</name></member>
      <member prot="public" refid="structcy__stc__ble__white__list__retention__t_1a12a00df268bfbca36228f57c37384bd7" virt="non-virtual"><scope>cy_stc_ble_white_list_retention_t</scope><name>whiteList</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>